org.crosswire.jsword.bridge

## Class BibleScope

- java.lang.Object
- - org.crosswire.jsword.bridge.BibleScope

-     public class BibleScope
      extends Object

  Determines the scope of the Bible. That is, the verses that are in the Bible and the verses that are not. This is based upon the KJV versification.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Book` | `book`
    `private Key` | `inScope`
    `private Key` | `outScope`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BibleScope(Book book)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `computeScope()`
    `Key` | `getInScope()` Get a key containing all the verses that are in this Bible.
    `Key` | `getOutOfScope()` Get a key containing all the verses that are not in this Bible.
    `static void` | `main(String[] args)` Call with <operation> book.
    `static void` | `report(Book b)`
    `static void` | `usage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### book

          private Book book

    - #### inScope

          private Key inScope

    - #### outScope

          private Key outScope

  - ### Constructor Detail

    - #### BibleScope

          public BibleScope(Book book)

  - ### Method Detail

    - #### getInScope

          public Key getInScope()

      Get a key containing all the verses that are in this Bible.
      Returns:
        verses that are in scope

    - #### getOutOfScope

          public Key getOutOfScope()

      Get a key containing all the verses that are not in this Bible.
      Returns:
        verses that are out of scope

    - #### computeScope

          private void computeScope()

    - #### report

          public static void report(Book b)

    - #### main

          public static void main(String[] args)

      Call with <operation> book. Where operation can be one of:
      - check - returns "TRUE" or "FALSE" indicating whether the index exists or not
      - create - (re)create the index
      - delete - delete the index if it exists
      And book is the initials of a book, e.g. KJV.
      Parameters:
        `args` -

    - #### usage

          public static void usage()